Subject: Re: linux-next: Signed-off-by missing for commit in the xarray tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 26 Jul 2018 10:03:52 +1000

Hi Matthew,

On Wed, 25 Jul 2018 16:36:21 -0700 Matthew Wilcox <[email-masked]> wrote:
>
> On Thu, Jul 26, 2018 at 07:28:14AM +1000, Stephen Rothwell wrote:
> > 
> > Commits
> > 
> >   890e537e2b42 ("filesystem-dax: Introduce dax_lock_mapping_entry()")
> >   aaf149902c79 ("filesystem-dax: Set page->index")
> > 
> > are missing a Signed-off-by from their committers.  
> 
> Oh, hah.  I assume this is an automated email?

Well, semi-automatic :-)

> These two commits I cherry-picked from the nvdimm tree so that XArray can
> be rebased on top of it.  Is there some other way I should be doing this,
> like rebasing on top of the nvdimm tree?

Ideally, the nvdimm tree would have just those two commits in a branch
that you could merge (so that you both have the same commits (as
opposed to patches)) that way these changes cannot cause conflicts when
the files are further modifed in either tree.  Alternatively, if you do
have to cherry-pick them, then you need to add your Signed-off-by to
the copy that you commit.

As things are now, you could merge commit

  c2a7d2a11552 ("filesystem-dax: Introduce dax_lock_mapping_entry()")

from the nvdimm tree into your tree before the conflicting commits in
your tree (or just rebase your tree on top of that commit).  You need
to make sure that Dan and/or Dave (cc'd) will never rebase that part of
their tree.  Also, you will pick up some other commits (which may not
be a problem for you).
-- 
Cheers,
Stephen Rothwell